use utoipa::OpenApi;

#[derive(OpenApi)]
#[openapi(
  info(
    title = "Bot API",
    description = "API documentation for the Bot application",
    version = "1.0.0"
  ),
  tags(
    ( name = "Bot",
      description = "Bot related endpoints"
    ),
    ( name = "User",
      description = "User related endpoints"
    ),
    ( name = "Admin",
      description = "Admin related endpoints"
    ),
    ( name = "Cron",
      description = "Cron job related endpoints"
    ),
  )
)]
pub struct ApiDocs;
